SystemOrganization addCategory: #'TP1-TADP-2013-1c-G6'!

Trait named: #TComputadora
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TComputadora methodsFor: 'metodos' stamp: 'aye 4/16/2013 23:12'!
dameConsumo
^self partes inject: 0 into: [:acum :unaParte | acum + unaParte dameConsumo]! !

!TComputadora methodsFor: 'metodos' stamp: 'aye 4/16/2013 23:37'!
esAptaParaJugarVideojuegos
^self partes allSatisfy: [:unaParte | unaParte esAptaParaJugar]! !

!TComputadora methodsFor: 'constructor' stamp: 'aye 4/16/2013 23:09'!
nueva
"Hacemos una Computadora Nueva con su Set instanciado"
	 | nuevaComputadora |
	
	nuevaComputadora := self new.
	nuevaComputadora partes: Set new.
	^nuevaComputadora! !

Trait named: #TConexion
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConexion commentStamp: '<historical>' prior: 0!
A TConexion is xxxxxxxxx.
!

!TConexion methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:36'!
dameTasaRefresco
	 ^ self requirement! !

!TConexion methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:29'!
definicion
	 ^ self requirement! !

!TConexion methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:36'!
esAptaPartaJugar
	""
	^self dameTasaRefresco  >= 100.! !

!TConexion methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:35'!
esAptaPartaJugarCon: unaEntrada 
	""
	^(self dameTasaRefresco min: unaEntrada dameTasaRefresco ) >= 100.! !

!TConexion methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:29'!
mePuedoConectarCon: unaEntrada
	""
	^ self definicion >= unaEntrada definicion.! !

Trait named: #TConsumoAleatorio
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoAleatorio commentStamp: '<historical>' prior: 0!
A TConsumoAleatorio is xxxxxxxxx.
!

!TConsumoAleatorio methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:34'!
dameConsumoCon: unaPantalla
^self wattsPorHora * unaPantalla dameDefinicionMax.! !

!TConsumoAleatorio methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:25'!
wattsPorHora
self requirement
! !

Trait named: #TConsumoCoolers
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoCoolers methodsFor: 'self requirement' stamp: 'aye 4/16/2013 23:53'!
cantCoolers self requiment ! !

!TConsumoCoolers methodsFor: 'methods' stamp: 'aye 4/16/2013 23:52'!
dameConsumoCoolers
^self cantCoolers * 0.5 ! !

Trait named: #TConsumoPantalla
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPantalla commentStamp: '<historical>' prior: 0!
A TConsumo is xxxxxxxxx.
!

!TConsumoPantalla methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:55'!
DameConsumoConUnaEntrada: unaEntrada
	"obtiene el consumo con una Entrada "
	^self DameConsumoPropio + self unaEntrada dameConsumoCon: self.! !

!TConsumoPantalla methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:55'!
DameConsumoPropio
	"comment stating purpose of message"
	^self tamanio * self wattsPorHora.! !

!TConsumoPantalla methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:56'!
tamanio
	 ^ self requirement! !

!TConsumoPantalla methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:55'!
unaEntrada
	 ^ self requirement! !

!TConsumoPantalla methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:55'!
wattsPorHora
	 ^ self requirement! !

Trait named: #TConsumoPlacaClasica
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPlacaClasica methodsFor: 'metodosPropios' stamp: 'aye 4/16/2013 23:44'!
dameConsumo
^self wattPorHora + self dameConsumoCoolers.! !

!TConsumoPlacaClasica methodsFor: 'metodosPropios' stamp: 'aye 4/16/2013 23:47'!
dameConsumoCoolers
! !

!TConsumoPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/16/2013 23:46'!
wattPorHora self requiment! !

Trait named: #TConsumoPlacaModerna
	uses: TConsumoAleatorio
	category: 'TP1-TADP-2013-1c-G6'!

TConsumoPlacaModerna classTrait
	uses: TConsumoAleatorio classTrait!

!TConsumoPlacaModerna methodsFor: 'methods' stamp: 'aye 4/17/2013 00:21'!
dameConsumo
	^self dameConsumoCon: self pantalla + self dameConsumoCoolers! !

!TConsumoPlacaModerna methodsFor: 'selfRequirements' stamp: 'aye 4/17/2013 00:22'!
dameConsumoCoolers self requiment ! !

!TConsumoPlacaModerna methodsFor: 'selfRequirements' stamp: 'aye 4/17/2013 00:21'!
pantalla self requiment ! !

Trait named: #TConsumoPorcentual
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoPorcentual commentStamp: '<historical>' prior: 0!
A TConsumoPorcentual is xxxxxxxxx.
!

!TConsumoPorcentual methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:30'!
dameConsumoCon: unaPantalla
^self porcentaje * unaPantalla dameConsumoPropio / 100.! !

!TConsumoPorcentual methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/16/2013 02:31'!
porcentaje
self requirement! !

Trait named: #TConsumoRigido
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TConsumoRigido methodsFor: 'methods' stamp: 'aye 4/17/2013 00:36'!
dameConsumo
^ self esMagnetico ifTrue: [self rpm * self wattPorHora/ self wattPorHora]
     ifFalse: [self wattPorHora]! !

!TConsumoRigido methodsFor: 'self requirement' stamp: 'aye 4/17/2013 00:36'!
esMagnetico self requiment ! !

!TConsumoRigido methodsFor: 'methods' stamp: 'aye 4/18/2013 01:41'!
nuevo

"Hacemos una Computadora Nueva con su Set instanciado"
	 | discoNuevo |
	
	discoNuevo := self new.
	discoNuevo wattPorHora:  0.006.
	^discoNuevo! !

!TConsumoRigido methodsFor: 'self requirement' stamp: 'aye 4/17/2013 00:37'!
rpm self requiment ! !

!TConsumoRigido methodsFor: 'self requirement' stamp: 'aye 4/17/2013 00:37'!
wattPorHora self requiment ! !

Trait named: #TDefinicionAnalogica
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TDefinicionAnalogica commentStamp: '<historical>' prior: 0!
A TDefinicionAnalogica is xxxxxxxxx.
!

!TDefinicionAnalogica methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:43'!
dameDefinicionMax 
	""
	^480! !

Trait named: #TDefinicionDigital
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TDefinicionDigital commentStamp: '<historical>' prior: 0!
A TDefinicionDigital is xxxxxxxxx.
!

!TDefinicionDigital methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:48'!
dameDefinicionMax 
	""
	^self ppp * ( self tamanio squared / 2 ) sqrtFloor.! !

!TDefinicionDigital methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:49'!
ppp
	 ^ self requirement! !

!TDefinicionDigital methodsFor: 'trait requirements' stamp: 'JavierRotelli 4/18/2013 04:49'!
tamanio
	 ^ self requirement! !

Trait named: #TEntradaInicializador
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:40'!
definicionInicial
^480.! !

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:16'!
initialize
self initializePorcentaje.
self initializeTasaRefresco.
self definicion: self definicionInicial.! !

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:52'!
initializePorcentaje
self porcentaje: self porcentajeInicial.! !

!TEntradaInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:39'!
porcentajeInicial
self requeriment! !

Trait named: #TPlacaClasica
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/17/2013 00:04'!
dameConsumo self requiment ! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/16/2013 23:50'!
dameConsumoCoolers self requirement
! !

!TPlacaClasica methodsFor: 'metodosPropios' stamp: 'aye 4/17/2013 00:02'!
esAptaParaJugar
^ self esOnBoard not and:  (self pantalla) / self dameConsumo > 4! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/17/2013 00:03'!
esOnBoard self requiment ! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/17/2013 00:03'!
pantalla self requiment ! !

!TPlacaClasica methodsFor: 'selfRequirements' stamp: 'aye 4/16/2013 23:46'!
wattPorHora self requiment! !

Trait named: #TSiemprePuedeJugar
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TSiemprePuedeJugar methodsFor: 'methods' stamp: 'aye 4/17/2013 00:27'!
esAptaParaJugar
^true! !

Trait named: #TTasaRefresco
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TTasaRefresco commentStamp: '<historical>' prior: 0!
A TTasaRefresco is xxxxxxxxx.
!

!TTasaRefresco methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:57'!
dameTasaRefresco
^self tasaRefresco! !

!TTasaRefresco methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/18/2013 04:56'!
tasaRefresco
	self requirement! !

Trait named: #TTasaRefrescoInicializador
	uses: {}
	category: 'TP1-TADP-2013-1c-G6'!

!TTasaRefrescoInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:11'!
initializeTasaRefresco
self tasaRefresco: self tasaRefrescoInicial.! !

!TTasaRefrescoInicializador methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:13'!
tasaRefrescoInicial
^50.! !

Object subclass: #Computadora
	uses: TComputadora
	instanceVariableNames: 'partes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

Computadora class
	uses: TComputadora classTrait
	instanceVariableNames: ''!

!Computadora class methodsFor: 'constructor' stamp: 'aye 4/16/2013 22:49'!
nueva! !

!Computadora methodsFor: 'metodos' stamp: 'aye 4/16/2013 23:04'!
partes: unConjuntoDePartes
	self.partes := unConjuntoDePartes.

! !

Object subclass: #DiscoRigido
	uses: TSiemprePuedeJugar + TConsumoRigido
	instanceVariableNames: 'wattPorHora rpm esMagnetico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!DiscoRigido commentStamp: '<historical>' prior: 0!
A DiscoRigido is xxxxxxxxx.

Instance Variables
!

DiscoRigido class
	uses: TSiemprePuedeJugar classTrait + TConsumoRigido classTrait
	instanceVariableNames: ''!

Object subclass: #Entrada
	uses: TTasaRefresco
	instanceVariableNames: 'definicion tasaRefresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!Entrada commentStamp: '<historical>' prior: 0!
An Entrada is xxxxxxxxx.

Instance Variables
	definicion:		<Object>
	tasaRefresco:		<Object>

definicion
	- xxxxx

tasaRefresco
	- xxxxx
!

Entrada class
	uses: TTasaRefresco classTrait
	instanceVariableNames: ''!

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
definicion
	^ definicion! !

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
definicion: anObject
	definicion := anObject! !

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
tasaRefresco
	^ tasaRefresco! !

!Entrada methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 01:58'!
tasaRefresco: anObject
	tasaRefresco := anObject! !

Entrada subclass: #EntradaModerna
	uses: TConsumoPorcentual
	instanceVariableNames: 'porcentaje'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!EntradaModerna commentStamp: '<historical>' prior: 0!
An EntradaModerna is xxxxxxxxx.

Instance Variables
	porcentaje:		<Object>

porcentaje
	- xxxxx
!

EntradaModerna class
	uses: TConsumoPorcentual classTrait
	instanceVariableNames: ''!

EntradaModerna subclass: #AV
	uses: TEntradaInicializador + TTasaRefrescoInicializador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!AV commentStamp: '<historical>' prior: 0!
An AV is xxxxxxxxx.

Instance Variables
!

AV class
	uses: TEntradaInicializador classTrait + TTasaRefrescoInicializador classTrait
	instanceVariableNames: ''!

!AV methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:42'!
porcentajeInicial
^10.! !

!EntradaModerna methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:13'!
porcentaje
	^ porcentaje! !

!EntradaModerna methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:13'!
porcentaje: anObject
	porcentaje := anObject! !

EntradaModerna subclass: #HDMI
	uses: TEntradaInicializador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!HDMI commentStamp: '<historical>' prior: 0!
A HDMI is xxxxxxxxx.

Instance Variables
!

HDMI class
	uses: TEntradaInicializador classTrait
	instanceVariableNames: ''!

!HDMI methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:52'!
initialize
self initializePorcentaje.! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:47'!
porcentajeInicial
^20.! !

EntradaModerna subclass: #RF
	uses: TEntradaInicializador + TTasaRefrescoInicializador
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!RF commentStamp: '<historical>' prior: 0!
A RF is xxxxxxxxx.

Instance Variables
!

RF class
	uses: TEntradaInicializador classTrait + TTasaRefrescoInicializador classTrait
	instanceVariableNames: ''!

!RF methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:53'!
dameConsumoCon: unaPantalla
^self porcentaje.! !

!RF methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 22:43'!
porcentajeInicial
^0.! !

Entrada subclass: #VGA
	uses: TConsumoAleatorio + TTasaRefrescoInicializador
	instanceVariableNames: 'wattsPorHora'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!VGA commentStamp: '<historical>' prior: 0!
A VGA is xxxxxxxxx.

Instance Variables
	wattsPorHora:		<Object>

wattsPorHora
	- xxxxx
!

VGA class
	uses: TConsumoAleatorio classTrait + TTasaRefrescoInicializador classTrait
	instanceVariableNames: ''!

!VGA methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:19'!
initialize
self wattsPorHora: 1/1000.
self initializeTasaRefresco.! !

!VGA methodsFor: 'as yet unclassified' stamp: 'Gonzalo 4/18/2013 23:14'!
tasaRefrescoInicial
^120.! !

!VGA methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:08'!
wattsPorHora
	^ wattsPorHora! !

!VGA methodsFor: 'accessing' stamp: 'Gonzalo 4/16/2013 02:08'!
wattsPorHora: anObject
	wattsPorHora := anObject! !

Object subclass: #Pantalla
	uses: TTasaRefresco - {#dameTasaRefresco} + TConsumoPantalla - {#DameConsumoConUnaEntrada:. #unaEntrada. #DameConsumoPropio}
	instanceVariableNames: 'esTv ppp tamanio tasaRefresco wattsPorHora'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!Pantalla commentStamp: '<historical>' prior: 0!
A Pantalla is xxxxxxxxx.

Instance Variables
	esTv:		<Object>
	ppp:		<Object>
	tamanio:		<Object>
	tasaRefresco:		<Object>
	wattsPorHora:		<Object>

esTv
	- xxxxx

ppp
	- xxxxx

tamanio
	- xxxxx

tasaRefresco
	- xxxxx

wattsPorHora
	- xxxxx
!

Pantalla class
	uses: TTasaRefresco classTrait + TConsumoPantalla classTrait
	instanceVariableNames: ''!

Pantalla subclass: #CRT
	uses: TDefinicionAnalogica - {#dameDefinicionMax}
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!CRT commentStamp: '<historical>' prior: 0!
A CRT is xxxxxxxxx.

Instance Variables
!

CRT class
	uses: TDefinicionAnalogica classTrait
	instanceVariableNames: ''!

Pantalla subclass: #LCD
	uses: TDefinicionDigital - {#ppp. #tamanio. #dameDefinicionMax}
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!LCD commentStamp: '<historical>' prior: 0!
A LCD is xxxxxxxxx.

Instance Variables
!

LCD class
	uses: TDefinicionDigital classTrait
	instanceVariableNames: ''!

Pantalla subclass: #LED
	uses: TDefinicionDigital - {#ppp. #tamanio. #dameDefinicionMax}
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!LED commentStamp: '<historical>' prior: 0!
A LED is xxxxxxxxx.

Instance Variables
!

LED class
	uses: TDefinicionDigital classTrait
	instanceVariableNames: ''!

!Pantalla class methodsFor: 'as yet unclassified' stamp: 'JavierRotelli 4/17/2013 00:56'!
damePantallaComoMonitor
	"Crea una pantalla inicializada como monitor"
	| unaPantalla |
	unaPantalla := self new.
! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
esTv
	
	^ esTv! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
esTv: anObject
	
	esTv := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
ppp
	
	^ ppp! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
ppp: anObject
	
	ppp := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tamanio
	
	^ tamanio! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tamanio: anObject
	
	tamanio := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tasaRefresco
	
	^ tasaRefresco! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
tasaRefresco: anObject
	
	tasaRefresco := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
wattsPorHora
	
	^ wattsPorHora! !

!Pantalla methodsFor: 'accessing' stamp: 'JavierRotelli 4/18/2013 04:17'!
wattsPorHora: anObject
	
	wattsPorHora := anObject! !

Object subclass: #PlacaDeVideo
	uses: TConsumoCoolers
	instanceVariableNames: 'wattPorHora definicion cantCoolers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

PlacaDeVideo class
	uses: TConsumoCoolers classTrait
	instanceVariableNames: ''!

PlacaDeVideo subclass: #Clasica
	uses: TPlacaClasica - {#dameConsumoCoolers}
	instanceVariableNames: 'esOnBoard pantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

Clasica class
	uses: TPlacaClasica classTrait
	instanceVariableNames: ''!

PlacaDeVideo subclass: #Moderna
	uses: TSiemprePuedeJugar + TConsumoPlacaModerna - {#pantalla}
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

Moderna class
	uses: TSiemprePuedeJugar classTrait + TConsumoPlacaModerna classTrait
	instanceVariableNames: ''!

TestCase subclass: #ComputadoraTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP-2013-1c-G6'!

!ComputadoraTest methodsFor: 'consumos' stamp: 'aye 4/18/2013 01:41'!
dameConsumoTest 
	|dell disco placa|
	
	dell := Computadora nueva.
	
	"Armamos Disco Rigido"
	disco := DiscoRigido nuevo.
	disco rpm: 9000.
	disco esMagnetico: true.
	
	dell partes add:  disco.
	
	"Armamos la Placa"
	placa := Moderna new.
	placa definicion: 400.
	placa wattPorHora: 500.
	placa cantCoolers: 5.
	
	dell partes add: placa 
	
	
	! !
